declare class EventCenter {
    eventMGR: Map<string, Set<(payload?: any) => void>>;
    on(eventName: string, callback: (payload?: any) => void): void;
    off(eventName: string, callback: (payload?: any) => void): void;
    emit(eventName: string, payload?: any): void;
}
interface IFileWriter {
    fileSizeQuota: number;
    maxDaysToKeepFile: number;
}
declare type MediaSrouce = MediaStream | HTMLAudioElement;
declare type startWriteVideoFileParams = {
    videoStream?: MediaStream;
    shareScreen?: boolean;
    recordMicrophone?: boolean;
};
export declare class FileWriter extends EventCenter {
    handle: Worker;
    props: IFileWriter;
    audioSrouces: Set<MediaSrouce>;
    audioContext: AudioContext;
    audioDestinationNode: MediaStreamAudioDestinationNode;
    defaultArgs: {
        videoFolderPath: '/User/Zoom/Local';
    };
    constructor(props: IFileWriter);
    init(): void;
    setupListener(): void;
    addAudioSource(source: MediaSrouce): void;
    startWriteVideoFile({ videoStream, shareScreen, recordMicrophone }: startWriteVideoFileParams): Promise<void>;
    stopWriteVideoFile(): void;
    createLogFile(filenamePrefix: string, filenameExtension: string): void;
    writeLog(text: string): void;
    saveLogFile(): void;
    getOPFSFilesInfoByDate(startDate: Date, endDate: Date): void;
    getOPFSFileInfoByName(filename: string): Promise<File>;
    moveOPFSFileByDate(startDate: Date, endDate: Date): Promise<void>;
    writeRealTimeLog(fileName?: string, fileExtension?: string): Promise<void>;
    stopWriteRealTimeLog(): void;
    clearOPFSFiles(): void;
}
export {};
